Subject: Re: autoconf 2.54-1 writes dos files
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: 30 Aug 2003 17:10:24 -0400

> * In message <[email-masked]>
> * On the subject of "Re: autoconf 2.54-1 writes dos files"
> * Sent on Sat, 30 Aug 2003 21:36:48 +0100
> * Honorable Elfyn McBratney <[email-masked]> writes:
>
> Sam Steingold wrote:
> > > * In message <[email-masked]>
> > > * On the subject of "Re: autoconf 2.54-1 writes dos files"
> > > * Sent on Sat, 30 Aug 2003 15:14:16 -0400
> > > * Honorable Charles Wilson <[email-masked]> writes:
> > >
> > > Sam Steingold wrote:
> > > 
> > > > I just noticed that autoconf 2.54-1 writes configure files with DOS
> > > > CR/LF line ends!
> > > > what's up?!
> > > > I check "unix" in "default text file type" setup option and I do not
> > > > have any CRs in the configure.in files!
> > > 
> > > autoconf is a perl program.  There were some releases of perl that had
> > > a few issues with incorrectly using DOS line endings even on binary
> > > mounts.  Try upgrading perl to the most recent release (5.8.0-5 for
> > > "regular" cygwin; 5.8.1-something for "test" or "experimental" cygwin)
> > 
> > $ cygcheck.exe -c -h perl
> > Cygwin Package Information
> > Package              Version
> > perl                 5.8.0-5
> 
> What's the output of `mount' ?

d:\gnu\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type user (binmode)
d:\gnu\cygwin\bin on /usr/bin type user (binmode)
d:\gnu\cygwin\lib on /usr/lib type user (binmode)
d:\gnu\cygwin on / type user (binmode)
c: on /cygdrive/c type user (binmode,noumount)
d: on /cygdrive/d type user (binmode,noumount)

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
main(a){a="main(a){a=%c%s%c;printf(a,34,a,34);}";printf(a,34,a,34);}

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/